import './bootstrap.js';

import './vendor/bootstrap/dist/css/bootstrap.min.css';
import './vendor/leaflet/dist/leaflet.min.css';
import './styles/app.css';

import { Tooltip } from './vendor/bootstrap/bootstrap.index.js';
const tooltipTriggerList = document.querySelectorAll('[data-bs-toggle="tooltip"]')
const tooltipList = [...tooltipTriggerList].map(tooltipTriggerEl => new Tooltip(tooltipTriggerEl))

document.addEventListener('click', function (event) {
    if (event.target.matches('a[href*="remove"]')) {
        if (!confirm(event.target.innerText + ' ?')) {
            event.preventDefault();
            return false;
        }
    }
});
